com.sun.grid.jgdi.configuration

## Class CheckpointImpl

- java.lang.Object
- - com.sun.grid.jgdi.configuration.GEObjectImpl
  - - com.sun.grid.jgdi.configuration.CheckpointImpl

- All Implemented Interfaces:
    Checkpoint, GEObject, java.io.Serializable, java.lang.Cloneable

      public class CheckpointImpl
      extends GEObjectImpl
      implements Checkpoint

  Java representation of the cull object CK_Type defined in sge_all_listsL.template

  Warning: The CheckpointImpl class will not be compatible with future Sun™ Grid Engine releases.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CheckpointImpl()` Create a new instance of CheckpointImpl.
    `CheckpointImpl(boolean initWithDefaultValues)` Create a new instanceof
    `CheckpointImpl(java.lang.String name)` Create a new instance of CheckpointImpl

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `dump()`
    `boolean` | `equals(java.lang.Object obj)` Is the primary key information equal to the primary key information of `obj`.
    `boolean` | `equalsCompletely(java.lang.Object obj)`
    `java.lang.String` | `getCkptCommand()` Get the value of the ckptCommand attribute.
    `java.lang.String` | `getCkptDir()` Get the value of the ckptDir attribute.
    `java.lang.String` | `getCleanCommand()` Get the value of the cleanCommand attribute.
    `java.lang.String` | `getInterface()` Get the value of the interface attribute.
    `java.lang.String` | `getMigrCommand()` Get the value of the migrCommand attribute.
    `java.lang.String` | `getName()` Get the value of the name attribute.
    `java.lang.String` | `getRestCommand()` Get the value of the restCommand attribute.
    `java.lang.String` | `getSignal()` Get the value of the signal attribute.
    `java.lang.String` | `getWhen()` Get the value of the when attribute.
    `boolean` | `isSetCkptCommand()` Determine if the ckptCommand attribute is set
    `boolean` | `isSetCkptDir()` Determine if the ckptDir attribute is set
    `boolean` | `isSetCleanCommand()` Determine if the cleanCommand attribute is set
    `boolean` | `isSetInterface()` Determine if the interface attribute is set
    `boolean` | `isSetMigrCommand()` Determine if the migrCommand attribute is set
    `boolean` | `isSetName()` Determine if the name attribute is set
    `boolean` | `isSetRestCommand()` Determine if the restCommand attribute is set
    `boolean` | `isSetSignal()` Determine if the signal attribute is set
    `boolean` | `isSetWhen()` Determine if the when attribute is set
    `void` | `setCkptCommand(java.lang.String aCkptCommand)` Set the ckptCommand attribute.
    `void` | `setCkptDir(java.lang.String aCkptDir)` Set the ckptDir attribute.
    `void` | `setCleanCommand(java.lang.String aCleanCommand)` Set the cleanCommand attribute.
    `void` | `setInterface(java.lang.String aInterface)` Set the interface attribute.
    `void` | `setMigrCommand(java.lang.String aMigrCommand)` Set the migrCommand attribute.
    `void` | `setName(java.lang.String aName)` Set the name attribute.
    `void` | `setRestCommand(java.lang.String aRestCommand)` Set the restCommand attribute.
    `void` | `setSignal(java.lang.String aSignal)` Set the signal attribute.
    `void` | `setWhen(java.lang.String aWhen)` Set the when attribute.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.sun.grid.jgdi.configuration.GEObjectImpl

      `getParent, getPathName, getRoot, setParent`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `getParent`

- - ### Constructor Detail

    - #### CheckpointImpl

          public CheckpointImpl()

      Create a new instance of CheckpointImpl. The new instance will not be initialized with the default values.

    - #### CheckpointImpl

          public CheckpointImpl(boolean initWithDefaultValues)

      Create a new instanceof
      Parameters:
        `initWithDefaultValues` - if `true` the new instance will be initialized with the default values as defined in the cull definition.

    - #### CheckpointImpl

          public CheckpointImpl(java.lang.String name)

      Create a new instance of CheckpointImpl

  - ### Method Detail

    - #### isSetName

          public boolean isSetName()

      Determine if the name attribute is set
      Specified by:
        `isSetName` in interface `Checkpoint`
      Returns:
        `true` if the name attribute is set

    - #### setName

          public void setName(java.lang.String aName)

      Set the name attribute.
      Specified by:
        `setName` in interface `Checkpoint`
      Overrides:
        `setName` in class `GEObjectImpl`
      Parameters:
        `aName` - the new value for the name attribute

    - #### getName

          public java.lang.String getName()

      Get the value of the name attribute.
      Specified by:
        `getName` in interface `Checkpoint`
      Specified by:
        `getName` in interface `GEObject`
      Overrides:
        `getName` in class `GEObjectImpl`
      Returns:
        the value of the name attribute

    - #### isSetInterface

          public boolean isSetInterface()

      Determine if the interface attribute is set
      Specified by:
        `isSetInterface` in interface `Checkpoint`
      Returns:
        `true` if the interface attribute is set

    - #### setInterface

          public void setInterface(java.lang.String aInterface)

      Set the interface attribute.
      Specified by:
        `setInterface` in interface `Checkpoint`
      Parameters:
        `aInterface` - the new value for the interface attribute

    - #### getInterface

          public java.lang.String getInterface()

      Get the value of the interface attribute.
      Specified by:
        `getInterface` in interface `Checkpoint`
      Returns:
        the value of the interface attribute

    - #### isSetCkptCommand

          public boolean isSetCkptCommand()

      Determine if the ckptCommand attribute is set
      Specified by:
        `isSetCkptCommand` in interface `Checkpoint`
      Returns:
        `true` if the ckptCommand attribute is set

    - #### setCkptCommand

          public void setCkptCommand(java.lang.String aCkptCommand)

      Set the ckptCommand attribute.
      Specified by:
        `setCkptCommand` in interface `Checkpoint`
      Parameters:
        `aCkptCommand` - the new value for the ckptCommand attribute

    - #### getCkptCommand

          public java.lang.String getCkptCommand()

      Get the value of the ckptCommand attribute.
      Specified by:
        `getCkptCommand` in interface `Checkpoint`
      Returns:
        the value of the ckptCommand attribute

    - #### isSetMigrCommand

          public boolean isSetMigrCommand()

      Determine if the migrCommand attribute is set
      Specified by:
        `isSetMigrCommand` in interface `Checkpoint`
      Returns:
        `true` if the migrCommand attribute is set

    - #### setMigrCommand

          public void setMigrCommand(java.lang.String aMigrCommand)

      Set the migrCommand attribute.
      Specified by:
        `setMigrCommand` in interface `Checkpoint`
      Parameters:
        `aMigrCommand` - the new value for the migrCommand attribute

    - #### getMigrCommand

          public java.lang.String getMigrCommand()

      Get the value of the migrCommand attribute.
      Specified by:
        `getMigrCommand` in interface `Checkpoint`
      Returns:
        the value of the migrCommand attribute

    - #### isSetRestCommand

          public boolean isSetRestCommand()

      Determine if the restCommand attribute is set
      Specified by:
        `isSetRestCommand` in interface `Checkpoint`
      Returns:
        `true` if the restCommand attribute is set

    - #### setRestCommand

          public void setRestCommand(java.lang.String aRestCommand)

      Set the restCommand attribute.
      Specified by:
        `setRestCommand` in interface `Checkpoint`
      Parameters:
        `aRestCommand` - the new value for the restCommand attribute

    - #### getRestCommand

          public java.lang.String getRestCommand()

      Get the value of the restCommand attribute.
      Specified by:
        `getRestCommand` in interface `Checkpoint`
      Returns:
        the value of the restCommand attribute

    - #### isSetCkptDir

          public boolean isSetCkptDir()

      Determine if the ckptDir attribute is set
      Specified by:
        `isSetCkptDir` in interface `Checkpoint`
      Returns:
        `true` if the ckptDir attribute is set

    - #### setCkptDir

          public void setCkptDir(java.lang.String aCkptDir)

      Set the ckptDir attribute.
      Specified by:
        `setCkptDir` in interface `Checkpoint`
      Parameters:
        `aCkptDir` - the new value for the ckptDir attribute

    - #### getCkptDir

          public java.lang.String getCkptDir()

      Get the value of the ckptDir attribute.
      Specified by:
        `getCkptDir` in interface `Checkpoint`
      Returns:
        the value of the ckptDir attribute

    - #### isSetWhen

          public boolean isSetWhen()

      Determine if the when attribute is set
      Specified by:
        `isSetWhen` in interface `Checkpoint`
      Returns:
        `true` if the when attribute is set

    - #### setWhen

          public void setWhen(java.lang.String aWhen)

      Set the when attribute.
      Specified by:
        `setWhen` in interface `Checkpoint`
      Parameters:
        `aWhen` - the new value for the when attribute

    - #### getWhen

          public java.lang.String getWhen()

      Get the value of the when attribute.
      Specified by:
        `getWhen` in interface `Checkpoint`
      Returns:
        the value of the when attribute

    - #### isSetSignal

          public boolean isSetSignal()

      Determine if the signal attribute is set
      Specified by:
        `isSetSignal` in interface `Checkpoint`
      Returns:
        `true` if the signal attribute is set

    - #### setSignal

          public void setSignal(java.lang.String aSignal)

      Set the signal attribute.
      Specified by:
        `setSignal` in interface `Checkpoint`
      Parameters:
        `aSignal` - the new value for the signal attribute

    - #### getSignal

          public java.lang.String getSignal()

      Get the value of the signal attribute.
      Specified by:
        `getSignal` in interface `Checkpoint`
      Returns:
        the value of the signal attribute

    - #### isSetCleanCommand

          public boolean isSetCleanCommand()

      Determine if the cleanCommand attribute is set
      Specified by:
        `isSetCleanCommand` in interface `Checkpoint`
      Returns:
        `true` if the cleanCommand attribute is set

    - #### setCleanCommand

          public void setCleanCommand(java.lang.String aCleanCommand)

      Set the cleanCommand attribute.
      Specified by:
        `setCleanCommand` in interface `Checkpoint`
      Parameters:
        `aCleanCommand` - the new value for the cleanCommand attribute

    - #### getCleanCommand

          public java.lang.String getCleanCommand()

      Get the value of the cleanCommand attribute.
      Specified by:
        `getCleanCommand` in interface `Checkpoint`
      Returns:
        the value of the cleanCommand attribute

    - #### equals

          public boolean equals(java.lang.Object obj)

      Is the primary key information equal to the primary key information of `obj`.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - the compared object
      Returns:
        `true` if the primary key information is equal to the primary key informations of `obj`.

    - #### equalsCompletely

          public boolean equalsCompletely(java.lang.Object obj)

      Specified by:
        `equalsCompletely` in interface `GEObject`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### dump

          public java.lang.String dump()

      Specified by:
        `dump` in interface `Checkpoint`

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.